| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLESProgramCommon Class Reference

C++ encapsulation of GLSL ES Program Object. More...

`#include <OgreGLSLESProgramCommon.h>`

Inheritance diagram for Ogre::GLSLESProgramCommon:
[legend]

## Public Member Functions
| GLSLESProgramCommon (GLSLESProgram *vertexProgram, GLSLESProgram *fragmentProgram)
| Constructor should only be used by GLSLESLinkProgramManager and GLSLESProgramPipelineManager. More...
virtual | ~GLSLESProgramCommon (void)
void | bindFixedAttributes (GLuint program)
GLSLESProgram * | getFragmentProgram (void) const
GLSLESProgram * | getVertexProgram (void) const

## Detailed Description

C++ encapsulation of GLSL ES Program Object.

## Constructor & Destructor Documentation

## ◆ GLSLESProgramCommon()

Ogre::GLSLESProgramCommon::GLSLESProgramCommon | ( | GLSLESProgram * | vertexProgram,
|  | GLSLESProgram * | fragmentProgram
| ) |  |

Constructor should only be used by GLSLESLinkProgramManager and GLSLESProgramPipelineManager.

## ◆ ~GLSLESProgramCommon()

virtual Ogre::GLSLESProgramCommon::~GLSLESProgramCommon | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ bindFixedAttributes()

void Ogre::GLSLESProgramCommon::bindFixedAttributes | ( | GLuint | program | ) |

## ◆ getVertexProgram()

GLSLESProgram* Ogre::GLSLESProgramCommon::getVertexProgram | ( | void |  | ) | const
| inline

## ◆ getFragmentProgram()

GLSLESProgram* Ogre::GLSLESProgramCommon::getFragmentProgram | ( | void |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreGLSLESProgramCommon.h